# MailchimpSDKPlayground

MailchimpSDKPlayground - the Ruby gem for the Mailchimp Marketing API

No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 0.0.9
- Package version: 1.1.2
- Build package: io.swagger.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build MailchimpSDKPlayground.gemspec
```

Then either install the gem locally:

```shell
gem install ./MailchimpSDKPlayground-1.1.2.gem
```
(for development, run `gem install --dev ./MailchimpSDKPlayground-1.1.2.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'MailchimpSDKPlayground', '~> 1.1.2'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'MailchimpSDKPlayground', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:
```ruby
# Load the gem
require 'MailchimpSDKPlayground'

# Setup authorization
MailchimpSDKPlayground.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = MailchimpSDKPlayground::DefaultApi.new

begin
  #Ping the API
  result = api_instance.get_ping
  p result
rescue MailchimpSDKPlayground::ApiError => e
  puts "Exception when calling DefaultApi->get_ping: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *https://us19.api.mailchimp.com/3.0*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*MailchimpSDKPlayground::DefaultApi* | [**get_ping**](docs/DefaultApi.md#get_ping) | **GET** /ping | Ping the API


## Documentation for Models

 - [MailchimpSDKPlayground::APIHealthStatus](docs/APIHealthStatus.md)
 - [MailchimpSDKPlayground::ProblemDetailDocument](docs/ProblemDetailDocument.md)


## Documentation for Authorization


### basicAuth

- **Type**: HTTP basic authentication

